Skip to main content
POST
/
analytics
/
ct
/
export
Export Conversion Analytics
curl --request POST \
  --url https://management.scanova.io/analytics/ct/export/ \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filter_by": "qrid",
  "q": [
    "<string>"
  ]
}
'
"<string>"

Query Parameters

ParameterTypeRequiredDescription
typestringNoComma-separated sections. Typical: count,trend,event_breakdown,site_breakdown,funnel,scan_overview,hybrid_funnel.
fromstring (YYYY-MM-DD)YesInclusive start date.
tostring (YYYY-MM-DD)YesInclusive end date.
file_formatstringYesOne of: csv, xls, xlsx.
sheetstringNoCSV-only selected sheet key. Examples: count, trend, event_breakdown, site_breakdown, funnel, hybrid_funnel, scan_overview.
allbooleanNoInclude all QR Codes in scope.
searchstringNoSearch value used with all=true.
categorystringNoComma-separated category slugs.
usersstringNoComma-separated user IDs.
conversion_eventsstringNoComma-separated conversion event keys.
funnel_stepsstringNoOrdered comma-separated event keys for funnel calculation.

Request Body

FieldTypeRequiredDescription
filter_bystringYesOne of: qrid, id, tags.
qarray[string]YesValues corresponding to filter_by.

Example

curl -X POST "https://management.scanova.io/analytics/ct/export/?type=count,trend,event_breakdown,site_breakdown,funnel,scan_overview,hybrid_funnel&from=2026-03-03&to=2026-03-10&file_format=xlsx" \
  -H "Authorization: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "filter_by": "qrid",
    "q": ["Q20a18d4af3e947a1"]
  }'

Authorizations

Authorization
string
header
required

API key authentication. Enter your API key directly in the Authorization header.

Query Parameters

type
string

Comma-separated analytics sections.

from
string<date>
required
to
string<date>
required
file_format
enum<string>
required
Available options:
csv,
xls,
xlsx
sheet
string

CSV sheet key.

all
boolean
category
string
users
string
conversion_events
string
funnel_steps
string

Body

application/json
filter_by
enum<string>
required
Available options:
qrid,
id,
tags
q
string[]
required

Response

File generated successfully

The response is of type file.